ApplyForm: 
  $type: Block
  TITLE: 
    $io: output
    $type: text
    $value: "Beijing 3DS Application Form"
  basicform: 
    $io: input
    $type: Block
    firstName: 
      $io: input
      $type: text
      $value: "YourFirstName [Here is a default value]"
      $display: "First Name"
    lastName: 
      $io: input
      $type: text
      $value: "YourLastName"
      $display: "Last Name"
    mail: 
      $io: input
      $type: text
      $display: "Email Address"
    phone: 
      $io: input
      $type: number
      $display: "Phone Number [Number required]"
    available: 
      $io: input
      $type: bool
      $value: True
      $display: "Beijing 3DS runs from Morning (9:00am) on Friday, October 12, all the way to Midnight (11:59pm) on Sunday, October 14. Are you available throughout this time span? It would be almost impossible for you to participate if you cannot commit fully to this period."
    explain: 
      $io: input
      $type: text
      $display: "If not, please explain"
    website: 
      $io: input
      $type: URL
      $display: "Your website, blog or Linkedin, if available [Here can be a URL check]"
  bgform: 
    $io: input
    $type: Block
    $display: "Background and Education [Here goes a multilevel form]"
    university: 
      $io: input
      $type: selection
      $display: "What university do you attend?"
      "Peking University": "Peking University"
      "Tsinghua University": "Tsinghua University"
    selections: 
      $io: input
      $type: Block
      major: 
        $io: input
        $type: selection
        $display: "Major of Field-of-Study [Here is a Single Selection]"
        "cs": "Computer Science"
        "ee": "Electrical Engineering"
        "bm": "Business and/or Management"
        "ds": "Design (Arts / Architecture / Graphic / Industrial)"
        "Math": "Math"
        "Physics": "Physics"
        "Chemistry": "Chemistry"
        "Economics": "Economics"
        "Earth and Space Sciences": "Earth and Space Sciences"
        "Biology and/or Life Sciences": "Biology and/or Life Sciences"
        "Information Management and/or Science": "Information Management and/or Science"
        "Materials Science and/or Engineering": "Materials Science and/or Engineering"
        "Environmental Engineering": "Environmental Engineering"
        "Mechanical Engineering": "Mechanical Engineering"
        "Aerospace Engineering": "Aerospace Engineering"
        "Chemical Engineering": "Chemical Engineering"
        "Civil Engineering": "Civil Engineering"
        "Law": "Law"
        "Medicine": "Medicine"
        "Education": "Education"
        "Psychology": "Psychology"
        "Government and/or Public Policy": "Government and/or Public Policy"
        "Journalism and Communication": "Journalism and Communication"
        "Urban Planning": "Urban Planning"
        "History": "History"
        "Sociology": "Sociology"
        "Philosophy": "Philosophy"
        "Archaeology and Museology": "Archaeology and Museology"
        "Foreign Languages": "Foreign Languages"
        "Other Humanities": "Other Humanities"
      degree: 
        $io: input
        $type: selection
        $display: "Degree"
        "Undergraduate": "Undergraduate"
        "Master student": "Master student"
        "Ph.D. / M.D. student": "Ph.D. / M.D. student"
      experience: 
        $io: input
        $type: multi_selection
        $display: "I have previously: [Here is a multi_selection]"
        "Founded a startup": "Founded a startup"
        "Worked at a startup": "Worked at a startup"
        "Invented a product": "Invented a product"
        "Taken a university class in entrepreneurship": "Taken a university class in entrepreneurship"
      experience: 
        $io: input
        $type: multi_selection
        $display: "I am familiar with these concepts"
        "Lean startup": "Lean startup"
        "Agile development": "Agile development"
        "Business model generation": "Business model generation"
        "Market validation": "Market validation"
      skills: 
        $io: input
        $type: multi_selection
        $display: "Successful startups often require individual founders to function in varied roles and complete many different tasks. Beijing 3DS is no different, and, ideally, you should revel in such a dynamic environment. That being said, in which of the below areas are you most skilled?"
        "Front-end (User-Interface) Developer": "Front-end (User-Interface) Developer"
        "Back-end Developer": "Back-end Developer"
        "Database / Cloud-Computing Developer": "Database / Cloud-Computing Developer"
        "Architecture Designer": "Architecture Designer"
        "Hardware Developer": "Hardware Developer"
        "User-Engineering Lead": "User-Engineering Lead"
        "Interaction Designer": "Interaction Designer"
        "Graphic Designer": "Graphic Designer"
        "Media Coordinator": "Media Coordinator"
        "Advertising Coordinator": "Advertising Coordinator"
        "Business-plan Author": "Business-plan Author"
        "Marketing Lead": "Marketing Lead"
        "Sales Coordinator": "Sales Coordinator"
        "Product Manager": "Product Manager"
        "Other": "Other"
      other_skills: 
        $io: input
        $type: text
        $display: "Other skills: [If 'Other' is checked in the last selection]"
  longform: 
    $io: input
    $type: Block
    $display: "Motivation and Ideas for 3DS"
    motivation: 
      $io: input
      $type: longtext
      $display: "Motivation: Why do you want to participate in Beijing 3DS? Why do you want to pursue a startup idea or serve as the founder of a company? What good qualities or characteristics do you possess that would make you a strong participant for our event, and a valued member of a founding management team? These might be specific skills, larger personality traits, or some combination of both."
    ideas: 
      $io: input
      $type: longtext
      $display: "Ideas: Do you have an idea for a startup that you'd like to pursue? If so, please give us a summary of your idea, exploring the technical and business aspects that would encourage investment in your idea and your startup. If you don't have an idea now, please describe one or two recent startups that you find exciting, and explain why you think they are special. (Please be advised that Facebook, Twitter, Weibo, Renren, etc. are no longer young enough to qualify as startups in this context.)"
  hearabout: 
    $io: input
    $type: multi_selection
    $display: "How did you hear about us?"
    "Poster": "Poster"
    "Flyer": "Flyer"
    "Mailing list": "Mailing list"
    "Weibo / Renren": "Weibo / Renren"
    "BBS": "BBS"
    "In-class announcement": "In-class announcement"
    "Friend": "Friend"
    "Others": "Others"
